## datalad 0.17.1

=== Makefile ===
# simple makefile to simplify repetetive build env management tasks under posix
# Ideas borrowed from scikit-learn's and PyMVPA Makefiles  -- thanks!

PYTHON ?= python

MODULE ?= datalad

all: clean test

clean:
	$(PYTHON) setup.py clean
	rm -rf dist build bin
	-find . -name '*.pyc' -delete
	-find . -name '__pycache__' -type d -delete

bin:
	mkdir -p $@
	PYTHONPATH="bin:$(PYTHONPATH)" $(PYTHON) setup.py develop --install-dir $@

trailing-spaces:
	find $(MODULE) -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

code-analysis:
	flake8 $(MODULE) | grep -v __init__ | grep -v external
	pylint -E -i y $(MODULE)/ # -d E1103,E0611,E1101

linkissues-changelog:
	tools/link_issues_CHANGELOG

update-changelog: CHANGELOG.md
	@echo ".. This file is auto-converted from CHANGELOG.md (make update-changelog) -- do not edit\n\nChange log\n**********" > docs/source/changelog.rst
	# sphinx 3.4.3-2 on Debian incorrectly handles unicode character
	# and then fails claiming that underlines are too short. So we remove all
	# such problematic ones for now.
	# Also, for some reason auto sticks subsections all the way to 4th level of sectioning,
	# so we bring them back to 2nd.
	# And pandoc manages to just skip all the valid markdown urls for authors within (),
	# so doing manual post conversion
	cat "$<" | sed -e 's,^#### ,## ,g' \
	| iconv -c -f utf-8 -t ascii \
	| pandoc -t rst \
	| sed -e 's,\[\(@[^]]*\)\](\([^)]*\)),\`\1 <\2>\`__,g' \
	>> docs/source/changelog.rst


release-pypi: update-changelog
	# avoid upload of stale builds
	test ! -e dist
	$(PYTHON) setup.py sdist
	# the wheels we would produce are broken on windows, because they
	# install an incompatible entrypoint script
	# https://github.com/datalad/datalad/issues/4315
	#$(PYTHON) setup.py bdist_wheel
	twine upload dist/*

docs/source/basics_cmdline.rst.in: build/casts/cmdline_basic_usage.json
	tools/cast2rst $^ > $@

docs/source/basics_nesteddatasets.rst.in: build/casts/seamless_nested_repos.json
	tools/cast2rst $^ > $@

=== debian/changelog ===
datalad (0.17.1-2~dl11+1) bullseye; urgency=medium

  * Backported for bullseye.
  * Added 'series-bullseye' in quilt patch series.
  * Applied additional patch from debian/patches/bullseye-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/^Maintainer:.*$/Maintainer: Michael Hanke <mih@debian.org>\nX-
    Original-&/'.

 -- Michael Hanke <mih@debian.org>  Sun, 21 Aug 2022 19:20:01 +0200

datalad (0.17.1-2) neurodebian; urgency=medium

  * d/patches
    - CP https://patch-diff.githubusercontent.com/raw/datalad/datalad/pull/6836.diff
      to allow for testing with older pytest, as in Debian stable.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 12 Jul 2022 12:35:04 -0400

datalad (0.17.1-1) unstable; urgency=medium

  * Fresh upstream release
    - switched to pytest from nose, d/{control,rules} were adjusted
  * d/patches - refreshed to account for switching to pytest etc

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 11 Jul 2022 17:18:25 -0400

datalad (0.16.5-1) unstable; urgency=medium

  * Fresh upstream maintenance release
  * d/control
    - remove python3-gitlab from Recommends since it is already in Depends
  * d/copyright
    - updated year for the main part
    - removed copyright statements for components which were moved out
      into datalad-deprecated (not in Debian)
  * d/rules
    - python3-argcomplete now ships binary without "3" suffix -- we will try
      both

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 08 Jun 2022 09:36:17 -0400

datalad (0.16.3-1) unstable; urgency=medium

  * Fresh upstream release
  * d/control
    - python3-argcomplete minimal version should be 1.12.3
      (as the first version available which works)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 May 2022 16:49:37 -0400

datalad (0.16.1-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches -- refreshed, removed CPed 0001* and for python <3.7
  * debian/control - dependencies updated:
    - python 3.6 support was dropped
    - no wrapt or github packages needed
    - platformdirs is used instead of unmaintained appdirs
    - importlib-metadata needed for any python before 3.10

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 08 Apr 2022 16:18:43 -0400

=== debian/control ===
Source: datalad
Maintainer: Michael Hanke <mih@debian.org>
X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <mih@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
               help2man,
               patool,
               p7zip-full,
               python3 (>= 3.7),
               python3-all,
               python3-annexremote,
               python3-argcomplete (>= 1.12.3),
               python3-dateutil,
               python3-distro,
               python3-distutils | libpython3-stdlib (<= 3.6.4~rc1-2),
               python3-exif,
               python3-fasteners (>= 0.14~),
               python3-gitlab,
               python3-html5lib,
               python3-httpretty,
               python3-humanize,
               python3 (>= 3.10) | python3-importlib-metadata,
               python3-iso8601,
               python3-jsmin,
               python3-keyring,
               python3-keyrings.alt | python3-keyring (<= 8),
               python3-mock,
               python3-msgpack,
               python3-mutagen,
               python3-pytest,
               python3-packaging,
               python3-pil,
               python3-appdirs,
               python3-pyperclip,
               python3-requests,
               python3-secretstorage,
               python3-setuptools,
               python3-simplejson,
               python3-six,
               python3-tqdm,
               python3-vcr,
               python3-whoosh,
Build-Conflicts: git-annex (= 8.20200226-1)
Standards-Version: 4.4.1
Vcs-Browser: https://github.com/datalad/datalad/
Vcs-Git: https://github.com/datalad/datalad.git -b debian
Homepage: https://datalad.org

Package: datalad
Architecture: all
Section: science
Depends: python3-datalad (= ${binary:Version}),
         python3-argcomplete (>= 1.12.3),
         ${misc:Depends},
         ${python3:Depends}
Suggests: datalad-container,
          datalad-crawler,
          datalad-neuroimaging,
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
 separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)

Package: python3-datalad
Architecture: all
Section: python
Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
         patool,
         p7zip-full,
         python3 (>= 3.7),
         python3-annexremote,
         python3-distro,
         python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
         python3-fasteners (>= 0.14~),
         python3-gitlab,
         python3-humanize,
         python3 (>= 3.10) | python3-importlib-metadata,
         python3-iso8601,
         python3-keyring,
         python3-keyrings.alt | python3-keyring (<=8),
         python3-mock,
         python3-msgpack,
         python3-pil,
         python3-platformdirs,
         python3-requests (>=1.2),
         python3-secretstorage,
         python3-simplejson,
         python3-six,
         python3-tqdm,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-boto,
            python3-exif,
            python3-html5lib,
            python3-httpretty,
            python3-jsmin,
            python3-libxmp,
            python3-lzma,
            python3-mutagen,
            python3-pytest,
            python3-pyperclip,
            python3-requests-ftp,
            python3-vcr,
            python3-whoosh
Suggests: python3-duecredit,
          datalad-container,
          datalad-crawler,
          datalad-neuroimaging,
          python3-bs4,
          python3-numpy,
Breaks: datalad-container (<< 1.1.2)
Provides: ${python3:Provides}
Description: data files management and distribution platform
 DataLad is a data management and distribution platform providing
 access to a wide range of data resources already available online.
 Using git-annex as its backend for data logistics it provides following
 facilities built-in or available through additional extensions
 .
  - command line and Python interfaces for manipulation of collections of
    datasets (install, uninstall, update, publish, save, etc.) and
 separate files/directories (add, get)
  - extract, aggregate, and search through various sources of metadata
    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
    support)
  - crawl web sites to automatically prepare and update git-annex
    repositories with content from online websites, S3, etc (install
    datalad-crawler)
 .
 This package installs the module for Python 3, and Recommends install
 all dependencies necessary for searching and managing datasets, publishing,
 and testing.  If you need base functionality, install without Recommends.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DH_VERBOSE = 1
export PYBUILD_NAME = datalad

# - test_datalad_credential_helper since wants interaction
#   https://github.com/datalad/datalad/issues/6623
export PYTHON_KEYRING_BACKEND=keyrings.alt.file.PlaintextKeyring
# test_test would be removed as 0.17.1
# test_subprocess_return_code_capture - https://github.com/datalad/datalad/issues/6109
export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture' -c $(CURDIR)/tox.ini
export DATALAD_TESTS_NONETWORK = 1
export http_proxy=
export https_proxy=

# We need to copy .egg-info so entry points are discovered. And also need
# to generate then per-Python version since some module requirements differ
export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/ && cp -rp datalad.egg-info {build_dir}/;


%:
	dh $@ --with python3 --buildsystem=pybuild

clean::
	dh_clean
	-rm -rf bin build .pybuild datalad.egg-info
	-find . -name '*.pyc' -delete

override_dh_auto_configure:
	# cheap fake of an installed datalad, so we get .egg-info with entry points
	$(MAKE) bin
	# and leave the rest for dh_python* runs
	mkdir -p build; \
	    export HOME=$(CURDIR)/build;  \
        git config --global user.name "TESTING"; \
        git config --global user.email "TESTING@example.com"

override_dh_auto_test:
#	# Since pybuild overrides HOME for its own purposes, we will rely on our
#	# setup_package placing it back into HOME
	PYTHON_KEYRING_BACKEND=keyrings.alt.file.PlaintextKeyring PATH=$(CURDIR)/bin:$$PATH \
	    dh_auto_test -- --test-pytest


override_dh_auto_install:
	dh_auto_install
	mv debian/python3-datalad/usr/bin/* debian/datalad/usr/bin
	rm -f debian/python*-datalad/usr/bin/*
	# Building manpages. Overcoming #532 which creates some config file
	mkdir -p build/man
	HOME=$(CURDIR)/build python3 setup.py build_manpage
	# Generating argcomplete helper for bash_completion.d
	{ register-python-argcomplete3 datalad || register-python-argcomplete datalad; } > debian/datalad/usr/share/bash-completion/completions/datalad

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

## datalad 0.17.5

=== debian/changelog ===
datalad (0.17.5-1~nd+1) sid; urgency=medium

  * Backported for sid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 08 Sep 2022 14:51:41 -0400

datalad (0.17.5-1) unstable; urgency=medium

  * Fresh upstream release
    - warrants DATALAD_SOURCE_EPOCH env var, so dropping 
      d/patches/reproducible-build.patch and adjusting d/rules to set
      it up.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 06 Sep 2022 13:39:24 -0400

datalad (0.17.4-1) unstable; urgency=medium

  * Fresh upstream release
  * d/patches/reproducible-build.patch by Chris Lamb to make manpage dates
    follow SOURCE_DATE_EPOCH if available for reproducible builds.
    (Closes: #1010318)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 30 Aug 2022 22:11:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: datalad
-Maintainer: Michael Hanke <mih@debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
 X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
@@ -35,7 +35,7 @@
                python3-pytest,
                python3-packaging,
                python3-pil,
-               python3-appdirs,
+               python3-platformdirs,
                python3-pyperclip,
                python3-requests,
                python3-secretstorage,
@@ -54,7 +54,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: python3-datalad (= ${binary:Version}),
+Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
          python3-argcomplete (>= 1.12.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -80,7 +80,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
+Depends: neurodebian-popularity-contest, git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.7),

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,10 @@
 # to generate then per-Python version since some module requirements differ
 export PYBUILD_BEFORE_TEST=PYTHONPATH=$(CURDIR)/bin python{version} setup.py develop --install-dir bin/ && cp -rp datalad.egg-info {build_dir}/;
 
+# Set SOURCE_DATE_EPOCH based on changelog in a most portable (older dpkg) way
+# following https://reproducible-builds.org/docs/source-date-epoch/
+export SOURCE_DATE_EPOCH ?= $(shell dpkg-parsechangelog | grep -Po '^Date: \K.*' | date -f- +%s)
+export DATALAD_SOURCE_EPOCH=$(SOURCE_DATE_EPOCH)
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
@@ -47,8 +51,9 @@
 	dh_auto_install
 	mv debian/python3-datalad/usr/bin/* debian/datalad/usr/bin
 	rm -f debian/python*-datalad/usr/bin/*
-	# Building manpages. Overcoming #532 which creates some config file
+	# Building manpages. Overcoming #532 which creates some config file.
 	mkdir -p build/man
+	echo "DEBUG: DATALAD_SOURCE_EPOCH=$$DATALAD_SOURCE_EPOCH"
 	HOME=$(CURDIR)/build python3 setup.py build_manpage
 	# Generating argcomplete helper for bash_completion.d
 	{ register-python-argcomplete3 datalad || register-python-argcomplete datalad; } > debian/datalad/usr/share/bash-completion/completions/datalad

## datalad 0.17.6

=== debian/changelog ===
datalad (0.17.6-3) unstable; urgency=medium

  * d/control - fix python-appdirs to python3-appdirs.

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 29 Sep 2022 19:23:14 -0400

datalad (0.17.6-2) neurodebian; urgency=medium

  * d/control
    - fixed version depend for importlib-metadata, wrongly specified to be 0.16.2
    - add python3-typing-extensions explicitly into build-depends since we
      depend on them through importlib-metadata and that one managed to forget
      to declare depends on it
  * debian/patches/deb_disable_pytest_warn - to help backporting on buster


 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 26 Sep 2022 14:30:59 -0400

datalad (0.17.6-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * d/control -- add minimal version for the alternative of
    importlib-metadata to be 3.6, needed since 0.16.2~6^2.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Sep 2022 16:27:57 -0400

datalad (0.17.5-2) neurodebian; urgency=medium

  * d/{control,patches/revert_platformdirs} to make compatible also with appdirs.
    Applied to all releases to not mess with .dsc patching per release and
    complicating update of the patch. ATM needed for bullseye (11.0) and focal
    (20.04, used on github actions e.g. ReproNim/containers).

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 12 Sep 2022 13:52:29 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: datalad
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -24,7 +23,7 @@
                python3-html5lib,
                python3-httpretty,
                python3-humanize,
-               python3 (>= 3.10) | python3-importlib-metadata,
+               python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
                python3-iso8601,
                python3-jsmin,
                python3-keyring,
@@ -35,7 +34,7 @@
                python3-pytest,
                python3-packaging,
                python3-pil,
-               python3-platformdirs,
+               python3-appdirs,
                python3-pyperclip,
                python3-requests,
                python3-secretstorage,
@@ -43,6 +42,7 @@
                python3-simplejson,
                python3-six,
                python3-tqdm,
+               python3-typing-extensions,
                python3-vcr,
                python3-whoosh,
 Build-Conflicts: git-annex (= 8.20200226-1)
@@ -54,7 +54,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
+Depends: python3-datalad (= ${binary:Version}),
          python3-argcomplete (>= 1.12.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -80,7 +80,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: neurodebian-popularity-contest, git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
+Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.7),
@@ -90,14 +90,14 @@
          python3-fasteners (>= 0.14~),
          python3-gitlab,
          python3-humanize,
-         python3 (>= 3.10) | python3-importlib-metadata,
+         python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
          python3-iso8601,
          python3-keyring,
          python3-keyrings.alt | python3-keyring (<=8),
          python3-mock,
          python3-msgpack,
          python3-pil,
-         python3-platformdirs,
+         python3-appdirs,
          python3-requests (>=1.2),
          python3-secretstorage,
          python3-simplejson,

## datalad 0.17.10

=== debian/changelog ===
datalad (0.17.10-1) unstable; urgency=medium

  * Fresh upstream patch release
  * debian/patches
    - refreshed and two CPed patches removed
  * debian/rules
    - setting a keyring in tests was moved upstream in this release,
      so we remove setting it in debian/rules

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 14 Dec 2022 11:47:35 -0500

datalad (0.17.8-1) unstable; urgency=medium

  * Fresh upstream release
  * d/patches
    - refreshed
    - two post-release fixes added from
      https://github.com/datalad/datalad/pull/7112

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 24 Oct 2022 19:54:48 -0400

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 export DH_VERBOSE = 1
 export PYBUILD_NAME = datalad
 
-# - test_datalad_credential_helper since wants interaction
-#   https://github.com/datalad/datalad/issues/6623
-export PYTHON_KEYRING_BACKEND=keyrings.alt.file.PlaintextKeyring
 # test_test would be removed as 0.17.1
 # test_subprocess_return_code_capture - https://github.com/datalad/datalad/issues/6109
 export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture' -c $(CURDIR)/tox.ini
@@ -43,8 +40,7 @@
 override_dh_auto_test:
 #	# Since pybuild overrides HOME for its own purposes, we will rely on our
 #	# setup_package placing it back into HOME
-	PYTHON_KEYRING_BACKEND=keyrings.alt.file.PlaintextKeyring PATH=$(CURDIR)/bin:$$PATH \
-	    dh_auto_test -- --test-pytest
+	PATH=$(CURDIR)/bin:$$PATH dh_auto_test -- --test-pytest
 
 
 override_dh_auto_install:

## datalad 0.18.1

=== Makefile ===
--- 
+++ 
@@ -38,6 +38,7 @@
 	# so doing manual post conversion
 	cat "$<" | sed -e 's,^#### ,## ,g' \
 	| iconv -c -f utf-8 -t ascii \
+    | grep -v  '^<.*> *$$' \
 	| pandoc -t rst \
 	| sed -e 's,\[\(@[^]]*\)\](\([^)]*\)),\`\1 <\2>\`__,g' \
 	>> docs/source/changelog.rst

=== debian/changelog ===
datalad (0.18.1-2) unstable; urgency=medium

  * Exclude flaky test_gracefull_death from testing (Closes: #1029450)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Jan 2023 11:10:27 -0500

datalad (0.18.1-1) unstable; urgency=medium

  * Fresh upstream "major" + bugfix release
    - includes significant OPTimization of 'status' command as well.
  * debian/patches
    - refreshed
    - added deb-looseversion.patch to bundle a little backport of
      looseversion from 1.0.3 of https://github.com/effigies/looseversion
    - added deb_no_chardet_depends to remove upper version boundary for chardet
      since in debian we have 5.1 already
  * debian/control
    - whoosh and simplejson are no longer dependent on. metadata functionality
      was refactored away, and simplejson was replaced with json.

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 17 Jan 2023 10:13:49 -0500

=== debian/control ===
--- 
+++ 
@@ -39,12 +39,10 @@
                python3-requests,
                python3-secretstorage,
                python3-setuptools,
-               python3-simplejson,
                python3-six,
                python3-tqdm,
                python3-typing-extensions,
                python3-vcr,
-               python3-whoosh,
 Build-Conflicts: git-annex (= 8.20200226-1)
 Standards-Version: 4.4.1
 Vcs-Browser: https://github.com/datalad/datalad/
@@ -100,7 +98,6 @@
          python3-appdirs,
          python3-requests (>=1.2),
          python3-secretstorage,
-         python3-simplejson,
          python3-six,
          python3-tqdm,
          ${misc:Depends},
@@ -117,7 +114,6 @@
             python3-pyperclip,
             python3-requests-ftp,
             python3-vcr,
-            python3-whoosh
 Suggests: python3-duecredit,
           datalad-container,
           datalad-crawler,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,8 @@
 
 # test_test would be removed as 0.17.1
 # test_subprocess_return_code_capture - https://github.com/datalad/datalad/issues/6109
-export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture' -c $(CURDIR)/tox.ini
+# test_gracefull_death - too flaky https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029450
+export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture and not test_gracefull_death' -c $(CURDIR)/tox.ini
 export DATALAD_TESTS_NONETWORK = 1
 export http_proxy=
 export https_proxy=

## datalad 0.18.3

=== debian/changelog ===
datalad (0.18.3-2~nd100+1) buster; urgency=medium

  * Backported for buster.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 04 Apr 2023 10:20:14 -0400

datalad (0.18.3-2) neurodebian; urgency=medium

  * debian/control
    - add python3-typing-extensions to Depends also of the python3-datalad
      (needed for older python < 3.10)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 04 Apr 2023 10:06:35 -0400

datalad (0.18.3-1) experimental; urgency=medium

  * Fresh upstream bugfix release
  * debian/patches
    - refreshed and deb_no_chardet_depends dropped (upstream has the same now)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Mar 2023 21:57:13 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: datalad
-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -52,7 +53,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: python3-datalad (= ${binary:Version}),
+Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
          python3-argcomplete (>= 1.12.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -78,7 +79,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
+Depends: neurodebian-popularity-contest, git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.7),
@@ -99,6 +100,7 @@
          python3-requests (>=1.2),
          python3-secretstorage,
          python3-six,
+         python3-typing-extensions,
          python3-tqdm,
          ${misc:Depends},
          ${python3:Depends}

## datalad 0.19.3

=== debian/changelog ===
datalad (0.19.3-2) unstable; urgency=medium

  * d/control
    - remove python3-jsmin from B-Depends and Recommends since .js
      code is no longer shipped within datalad package.
      Also removed debian/source/lintian-overrides since no longer pertinent
  * d/rules
    - clean-up also .pytest_cache and docs/source/generated/man/
      (Closes: #1044488)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 14 Aug 2023 08:46:41 -0400

datalad (0.19.3-1) unstable; urgency=medium

  * Fresh upstream bugfix release
  * Declare minimal version for typing-extensions to be 3.10.0.2~.
    Note: for the 0.18.4 it needs to be >= 4.0.0~
  * Added dependency on python3-importlib-resources for older (before 3.9)
    python3s (valuable only for backports).

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 10 Aug 2023 15:44:13 -0400

datalad (0.19.2-1) experimental; urgency=medium

  * Fresh upstream release
  * d/control
    - needs tqdm >= 4.32 

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Jul 2023 13:40:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: datalad
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -25,8 +24,8 @@
                python3-httpretty,
                python3-humanize,
                python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
+               python3 (>= 3.9) | python3-importlib-resources (>= 3.0~),
                python3-iso8601,
-               python3-jsmin,
                python3-keyring,
                python3-keyrings.alt | python3-keyring (<= 8),
                python3-mock,
@@ -41,8 +40,8 @@
                python3-secretstorage,
                python3-setuptools,
                python3-six,
-               python3-tqdm,
-               python3-typing-extensions,
+               python3-tqdm (>= 4.32.0),
+               python3-typing-extensions (>= 3.10.0.2~),
                python3-vcr,
 Build-Conflicts: git-annex (= 8.20200226-1)
 Standards-Version: 4.4.1
@@ -53,7 +52,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
+Depends: python3-datalad (= ${binary:Version}),
          python3-argcomplete (>= 1.12.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -79,7 +78,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: neurodebian-popularity-contest, git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
+Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.7),
@@ -90,6 +89,7 @@
          python3-gitlab,
          python3-humanize,
          python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
+         python3 (>= 3.9) | python3-importlib-resources (>= 3.0~),
          python3-iso8601,
          python3-keyring,
          python3-keyrings.alt | python3-keyring (<=8),
@@ -100,15 +100,14 @@
          python3-requests (>=1.2),
          python3-secretstorage,
          python3-six,
-         python3-typing-extensions,
-         python3-tqdm,
+         python3-typing-extensions (>= 3.10.0.2~),
+         python3-tqdm (>= 4.32.0),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-boto,
             python3-exif,
             python3-html5lib,
             python3-httpretty,
-            python3-jsmin,
             python3-libxmp,
             python3-lzma,
             python3-mutagen,

## datalad 0.19.5

=== debian/changelog ===
datalad (0.19.5-1~nd22.04+1) jammy; urgency=medium

  * Backported for jammy.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 22 Jan 2024 13:57:47 -0500

datalad (0.19.5-1) unstable; urgency=medium

  * Most recent upstream release
  * debian/rules
    - remove six and mock dependencies - no longer used (Closes: #1061192)
    - remove mutagen, xmp, pil as Depends/Recommends -- functionality
      which depends on them is in extensions now.
    - adjusted formatting for a paragraph in description

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 22 Jan 2024 10:49:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: datalad
-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -28,18 +29,14 @@
                python3-iso8601,
                python3-keyring,
                python3-keyrings.alt | python3-keyring (<= 8),
-               python3-mock,
                python3-msgpack,
-               python3-mutagen,
                python3-pytest,
                python3-packaging,
-               python3-pil,
                python3-appdirs,
                python3-pyperclip,
                python3-requests,
                python3-secretstorage,
                python3-setuptools,
-               python3-six,
                python3-tqdm (>= 4.32.0),
                python3-typing-extensions (>= 3.10.0.2~),
                python3-vcr,
@@ -52,7 +49,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: python3-datalad (= ${binary:Version}),
+Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
          python3-argcomplete (>= 1.12.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -67,7 +64,7 @@
  .
   - command line and Python interfaces for manipulation of collections of
     datasets (install, uninstall, update, publish, save, etc.) and
- separate files/directories (add, get)
+    separate files/directories (add, get)
   - extract, aggregate, and search through various sources of metadata
     (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
     support)
@@ -78,7 +75,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
+Depends: neurodebian-popularity-contest, git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.7),
@@ -93,24 +90,18 @@
          python3-iso8601,
          python3-keyring,
          python3-keyrings.alt | python3-keyring (<=8),
-         python3-mock,
          python3-msgpack,
-         python3-pil,
          python3-appdirs,
          python3-requests (>=1.2),
          python3-secretstorage,
-         python3-six,
          python3-typing-extensions (>= 3.10.0.2~),
          python3-tqdm (>= 4.32.0),
          ${misc:Depends},
          ${python3:Depends}
 Recommends: python3-boto,
-            python3-exif,
             python3-html5lib,
             python3-httpretty,
-            python3-libxmp,
             python3-lzma,
-            python3-mutagen,
             python3-pytest,
             python3-pyperclip,
             python3-requests-ftp,
@@ -131,7 +122,7 @@
  .
   - command line and Python interfaces for manipulation of collections of
     datasets (install, uninstall, update, publish, save, etc.) and
- separate files/directories (add, get)
+    separate files/directories (add, get)
   - extract, aggregate, and search through various sources of metadata
     (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
     support)

## datalad 0.19.6

=== debian/changelog ===
datalad (0.19.6-1) unstable; urgency=medium

  * Fresh upstream release

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 02 Feb 2024 18:20:26 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: datalad
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: NeuroDebian Team <team@datalad.org>
+Maintainer: NeuroDebian Team <team@datalad.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
            Michael Hanke <mih@debian.org>
 Section: science
@@ -49,7 +48,7 @@
 Package: datalad
 Architecture: all
 Section: science
-Depends: neurodebian-popularity-contest, python3-datalad (= ${binary:Version}),
+Depends: python3-datalad (= ${binary:Version}),
          python3-argcomplete (>= 1.12.3),
          ${misc:Depends},
          ${python3:Depends}
@@ -75,7 +74,7 @@
 Package: python3-datalad
 Architecture: all
 Section: python
-Depends: neurodebian-popularity-contest, git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
+Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
          p7zip-full,
          python3 (>= 3.7),

## datalad 1.1.0

=== debian/changelog ===
datalad (1.1.0-1) unstable; urgency=medium

  * debian/control
    - *depends on 7zip as preferred to p7zip-full. I do not think there
      are any changes to upstream needed (Closes: #1063611)
    - replace python3-boto with python3-boto3 (Closes: #1070186)
    - add python3-boto3 to build-depends -- testing seems require it
  * debian/patches
    - refreshed
    - deb_setup_no_msgpack_and_duecredit is removed since not needed
      since deb_loosenup_setup_requires just makes it depend on "core" set
      of packages only anyways

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 14 Jun 2024 14:21:02 -0400

datalad (0.19.6-2) unstable; urgency=medium

  * Remove distutils from *Depends - not needed for a while already
    (Closes: #1065841)
  * Remove python3-exif from Build-Depends - not needed (functionality moved
    long ago)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Mar 2024 19:12:04 -0400

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,14 @@
                git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
                help2man,
                patool,
-               p7zip-full,
+               7zip (>= 23.01+dfsg-4~) | p7zip-full,
                python3 (>= 3.7),
                python3-all,
                python3-annexremote,
                python3-argcomplete (>= 1.12.3),
+               python3-boto3,
                python3-dateutil,
                python3-distro,
-               python3-distutils | libpython3-stdlib (<= 3.6.4~rc1-2),
-               python3-exif,
                python3-fasteners (>= 0.14~),
                python3-gitlab,
                python3-html5lib,
@@ -76,11 +75,10 @@
 Section: python
 Depends: git-annex (>= 8.20200309~) | git-annex-standalone (>= 8.20200309~),
          patool,
-         p7zip-full,
+         7zip (>= 23.01+dfsg-4~) | p7zip-full,
          python3 (>= 3.7),
          python3-annexremote,
          python3-distro,
-         python3-distutils | libpython3-stdlib (<=3.6.4~rc1-2),
          python3-fasteners (>= 0.14~),
          python3-gitlab,
          python3-humanize,
@@ -97,7 +95,7 @@
          python3-tqdm (>= 4.32.0),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-boto,
+Recommends: python3-boto3,
             python3-html5lib,
             python3-httpretty,
             python3-lzma,

## datalad 1.1.3

=== debian/changelog ===
datalad (1.1.3-2) unstable; urgency=medium

  * debian/control
    - we need pytest over 7.0 for testing
      (see https://github.com/datalad/datalad/issues/7555)
    - move python-boto3 from Recommends to Depends as required
      for basic import of some functionalities (such as datalad addurls).
      Should address FTBFS in down-stream projects (Closes: #1080100)
  * debian/README.md
    - added to describe some packaging/maintenance procedures

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 31 Aug 2024 07:20:31 -0400

datalad (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - remove mentioning of "modularized away" functionality in descriptions
    - remove Recommending or Suggesting datalad-{neuroimaging,crawler} which
      were never packaged for Debian (Closes: #1079316)
  * remove debian/patches/revert_platformdirs and adjust debian/control
    to finally use platformdirst in place of appdirs. NeuroDebian has some
    backports ready already (Closes: #1067962)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 22 Aug 2024 11:35:35 -0400

=== debian/control ===
--- 
+++ 
@@ -28,9 +28,9 @@
                python3-keyring,
                python3-keyrings.alt | python3-keyring (<= 8),
                python3-msgpack,
-               python3-pytest,
+               python3-pytest (>= 7.0),
                python3-packaging,
-               python3-appdirs,
+               python3-platformdirs,
                python3-pyperclip,
                python3-requests,
                python3-secretstorage,
@@ -52,8 +52,6 @@
          ${misc:Depends},
          ${python3:Depends}
 Suggests: datalad-container,
-          datalad-crawler,
-          datalad-neuroimaging,
 Description: data files management and distribution platform
  DataLad is a data management and distribution platform providing
  access to a wide range of data resources already available online.
@@ -63,12 +61,6 @@
   - command line and Python interfaces for manipulation of collections of
     datasets (install, uninstall, update, publish, save, etc.) and
     separate files/directories (add, get)
-  - extract, aggregate, and search through various sources of metadata
-    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
-    support)
-  - crawl web sites to automatically prepare and update git-annex
-    repositories with content from online websites, S3, etc (install
-    datalad-crawler)
 
 Package: python3-datalad
 Architecture: all
@@ -78,6 +70,7 @@
          7zip (>= 23.01+dfsg-4~) | p7zip-full,
          python3 (>= 3.7),
          python3-annexremote,
+         python3-boto3,
          python3-distro,
          python3-fasteners (>= 0.14~),
          python3-gitlab,
@@ -88,25 +81,22 @@
          python3-keyring,
          python3-keyrings.alt | python3-keyring (<=8),
          python3-msgpack,
-         python3-appdirs,
+         python3-platformdirs,
          python3-requests (>=1.2),
          python3-secretstorage,
          python3-typing-extensions (>= 3.10.0.2~),
          python3-tqdm (>= 4.32.0),
          ${misc:Depends},
          ${python3:Depends}
-Recommends: python3-boto3,
-            python3-html5lib,
+Recommends: python3-html5lib,
             python3-httpretty,
             python3-lzma,
-            python3-pytest,
+            python3-pytest (>= 7.0),
             python3-pyperclip,
             python3-requests-ftp,
             python3-vcr,
 Suggests: python3-duecredit,
           datalad-container,
-          datalad-crawler,
-          datalad-neuroimaging,
           python3-bs4,
           python3-numpy,
 Breaks: datalad-container (<< 1.1.2)
@@ -120,12 +110,6 @@
   - command line and Python interfaces for manipulation of collections of
     datasets (install, uninstall, update, publish, save, etc.) and
     separate files/directories (add, get)
-  - extract, aggregate, and search through various sources of metadata
-    (xmp, EXIF, etc; install datalad-neuroimaging for DICOM, BIDS, NIfTI
-    support)
-  - crawl web sites to automatically prepare and update git-annex
-    repositories with content from online websites, S3, etc (install
-    datalad-crawler)
  .
  This package installs the module for Python 3, and Recommends install
  all dependencies necessary for searching and managing datasets, publishing,

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 
 clean::
 	dh_clean
-	-rm -rf bin build .pybuild datalad.egg-info
+	-rm -rf bin build .pybuild datalad.egg-info .pytest_cache docs/source/generated/man
 	-find . -name '*.pyc' -delete
 
 override_dh_auto_configure:

## datalad 1.1.4

=== debian/changelog ===
datalad (1.1.4-1) unstable; urgency=medium

  * New upstream release
    - addresses compatibility with patched in Debian Python 3.12
      (Closes: #1087782)
  * debian/patches 
    - refreshed
    - + 0001-maint-in-python3.13-exc_type-should-not-be-used-depr.patch
      for python >= 3.13 warning-free compatibility
  * debian/rules
    - disable  "test_completion" test, issue filed upstreams
      https://github.com/datalad/datalad/issues/7684
      https://github.com/kislyuk/argcomplete/issues/514 .
      Debian python 3.12 is to blame.
    - disable "test_ProducerConsumer" - seems order of results is different
      than expected in 3.13 . Not critical

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Nov 2024 17:30:21 -0500

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                help2man,
                patool,
                7zip (>= 23.01+dfsg-4~) | p7zip-full,
-               python3 (>= 3.7),
+               python3 (>= 3.9),
                python3-all,
                python3-annexremote,
                python3-argcomplete (>= 1.12.3),
@@ -23,7 +23,6 @@
                python3-httpretty,
                python3-humanize,
                python3 (>= 3.10) | python3-importlib-metadata (>= 3.6~),
-               python3 (>= 3.9) | python3-importlib-resources (>= 3.0~),
                python3-iso8601,
                python3-keyring,
                python3-keyrings.alt | python3-keyring (<= 8),

## datalad 1.1.5

=== debian/changelog ===
datalad (1.1.5-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove recommenadation of python3-lzma, no longer a separate
    package in Debian, part of Python 3.3 and later. (Closes: #1099382).

 -- Sven Hoexter <hoexter@debian.org>  Sun, 15 Jun 2025 11:01:44 +0200

datalad (1.1.5-2) unstable; urgency=medium

  * Skip test_producer_future_key flaky on Debian test
    (ref: https://github.com/datalad/datalad/issues/7709)
    (Closes: #1104394)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 05 May 2025 08:21:34 -0400

datalad (1.1.5-1) unstable; urgency=medium

  * Recent upstream release
    - removing upstreamed
      0001-maint-in-python3.13-exc_type-should-not-be-used-depr.patch
      patch
    - announced test_subsuperdataset_save xfailing so should stop
      causing FTBFS due to a failing test. See more at
      https://github.com/datalad/datalad/issues/7681
      (Closes: #1092390)
  * debian/control
    - remove recommending python3-requests-ftp which is not in Debian
      (Closes: #1099382)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 03 Mar 2025 17:50:30 -0500

=== debian/control ===
--- 
+++ 
@@ -89,10 +89,8 @@
          ${python3:Depends}
 Recommends: python3-html5lib,
             python3-httpretty,
-            python3-lzma,
             python3-pytest (>= 7.0),
             python3-pyperclip,
-            python3-requests-ftp,
             python3-vcr,
 Suggests: python3-duecredit,
           datalad-container,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 # test_test would be removed as 0.17.1
 # test_subprocess_return_code_capture - https://github.com/datalad/datalad/issues/6109
 # test_gracefull_death - too flaky https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1029450
-export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture and not test_gracefull_death' -c $(CURDIR)/tox.ini
+# test_completion -- patched in Debian python 3.12 and argcomplete https://github.com/kislyuk/argcomplete/issues/514
+# test_ProducerConsumer  -- needs fixing for py 3.13 https://github.com/datalad/datalad/pull/7686
+export PYBUILD_TEST_ARGS = -s -v -k 'not test_test and not test_subprocess_return_code_capture and not test_gracefull_death and not test_completion and not test_ProducerConsumer and not test_producer_future_key' -c $(CURDIR)/tox.ini
 export DATALAD_TESTS_NONETWORK = 1
 export http_proxy=
 export https_proxy=
